<?php

namespace App\Controller;

use App\Repository\FilmRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class IndexController extends AbstractController
{
    #[Route('/', name: 'app_index')]
    public function index(FilmRepository $filmRepository): Response
    {
        $filmRepository->findAll();
        return $this->render('index/index.html.twig', [
            'films' => 'films',
        ]);
    }
}
